gameObj.Preloader = function(game) {};

gameObj.Preloader.prototype = {
	preload: function() {
		console.log("State - preload");
		this.game.stage.backgroundColor = '#000';

		// Preloader bar animation code
		this.preloadBg = this.add.sprite((960-297)/2, (720-145)/2, 'preloaderBg');
		this.preloadBar = this.add.sprite((960-297)/2, (720-145)/2, 'preloaderBar');
		this.load.setPreloadSprite(this.preloadBar);
		//
		this.load.spritesheet('myButton', 'img/playBut.png', 266, 74);

		// Load ALL GAME images into memory
		this.load.image('bg', 'img/background.png');
		this.load.image('title', 'img/title.png');

		this.load.image('inter', 'img/interface.png');
		this.load.image('par', 'img/bar.png');
		this.load.image('aim', 'img/aim.png');
		this.load.image('ship', 'img/ship.png');

		this.load.image('Wbg', 'img/backgroundW.png');
		
		this.load.image('Lbg', 'img/backgroundL.png');
		this.load.image('Tbg', 'img/backgroundT.png');
        this.load.image('Wbg', 'img/backgroundW.png');
		this.load.image('tut', 'img/tutorial.png');
		this.load.image('cry', 'img/cry.png');
		
		// winner and loser buttons
		this.load.spritesheet('pAButton', 'img/playABut.png', 266, 74);
        this.load.spritesheet('skipButton', 'img/skipBut.png', 266, 74);
        this.load.spritesheet('btn_winner', 'img/btn_winner.png', 90, 90);
		this.load.spritesheet('btn_loser', 'img/btn_loser.png', 90, 90);
	},
	create: function() {
		// Comment out the line below to check preloader animation
		this.game.state.start('MainMenu');
	}
};