gameObj.Game = function(game) {};

gameObj.Game.prototype = {
	create: function() {
		console.log("State - Game");
		//Add background image
		var bg = this.add.sprite(this.world.centerX, this.world.centerY, 'bg');
		bg.anchor.setTo(0.5, 0.5);

		//Add list graphics
		var interface = this.add.sprite(this.world.centerX, this.world.centerY, 'inter');
        interface.anchor.setTo(0.5, 0.5);
        var aim = this.add.sprite(this.world.centerX, this.world.centerY, 'aim');
        aim.anchor.setTo(0.5, 0.5);
        var ship = this.add.sprite(this.world.centerX, this.world.centerY, 'ship');
        ship.anchor.setTo(0.5, 0.5);
		

		//Add text
		var points = gameObj.finalScore;
		var time = "02:50";

		var myStyle = {
			width: "50px",
			font: "35px Ubuntu Mono",
			fill: "#fff",
			align: "center"
		};

		var myPoints = this.add.text(this.world.centerX+ 310,this.world.centerY+295, points, myStyle);
		var myTime = this.add.text(this.world.centerX-40,this.world.centerY-330, time, myStyle);
		
		// Add button
		// The numbers given in parameters are the indexes of the frames, in this order: over, out, down
		tmpWinnerBtn = this.add.button(450, 500, 'btn_winner', this.winnerFun, this, 1, 0, 2);
		tmpWinnerBtn.anchor.setTo(0.5, 0.5);
		
		tmpLoserBtn = this.add.button(550, 500, 'btn_loser', this.loserFun, this, 1, 0, 2);
		tmpLoserBtn.anchor.setTo(0.5, 0.5);
	},
	winnerFun: function() {
		this.game.state.start('Winner');
	},
	loserFun: function() {
		this.game.state.start('Loser');
	}
};